/*  $Id: AboutScr.cc,v 1.3 1998/07/27 16:34:54 zachsman Exp $
 *
 *   PART OF QtEZ BY SAM MAGNUSON (http://qtez.zax.net/qtez/):
 *   QtEZ is bound by the licensing agreement of Troll Tech AS
 *      free software edition
 */

#include "AboutScr.h"
#include "QtEZLogo.h"

#include <qpixmap.h>

AboutScreen::AboutScreen(QWidget *parent, char *name) : 
	QDialog(parent,name,TRUE)
{
	QString i;
	setCaption("About");
	resize(650,367);
	setBackgroundColor(QColor("black"));
	
	label1 = new QLabel(this, "label1");
	QPixmap p;
	p.loadFromData((const unsigned char *)&qtez_bmp_data, qtez_bmp_len);
	label1->setPixmap(p);

	label1->setAlignment(AlignHCenter | AlignVCenter);
	label1->setFrameStyle(QFrame::NoFrame | QFrame::NoFrame);
	label1->setGeometry(339,3,303,132);
	label1->setBackgroundColor(QColor("black"));
	
	label4 = new QLabel(this, "label4");
	i.sprintf("Compile Date: %s",__DATE__);
	label4->setText(i.data());
	label4->setFont(QFont("times",24));
	label4->setAlignment(AlignLeft | AlignTop);
	label4->setFrameStyle(QFrame::NoFrame | QFrame::NoFrame);
	label4->setGeometry(9,91,327,42);
        label4->setPalette(QPalette(
          QColorGroup(QColor(0,0,0), QColor(2,0,0),
          QColor(255,255,255),QColor(96,96,96),QColor(160,160,160),
          QColor(250,255,255),QColor(255,255,255)),
          QColorGroup(QColor(128,128,128), QColor(192,192,192),
          QColor(255,255,255), QColor(96,96,96), QColor(160,160,164),
          QColor(128,128,128),QColor(192,192,192)),
          QColorGroup(QColor(0,0,0), QColor(192,192,192),
          QColor(255,255,255), QColor(96,96,96), QColor(160,160,164),
          QColor(0,0,0),QColor(255,255,255))));
	
	label2 = new QLabel(this, "label2");
	i.sprintf("Version: %s", __VERSION);
	label2->setText(i.data());
	label2->setFont(QFont("times",24));
	label2->setAlignment(AlignLeft | AlignTop);
	label2->setFrameStyle(QFrame::NoFrame | QFrame::NoFrame);
	label2->setGeometry(9,44,326,44);
	label2->setPalette(QPalette(
          QColorGroup(QColor(0,0,0), QColor(2,0,0),
          QColor(255,255,255),QColor(96,96,96),QColor(160,160,160),
          QColor(250,255,255),QColor(255,255,255)),
          QColorGroup(QColor(128,128,128), QColor(192,192,192),
          QColor(255,255,255), QColor(96,96,96), QColor(160,160,164),
          QColor(128,128,128),QColor(192,192,192)),
          QColorGroup(QColor(0,0,0), QColor(192,192,192),
          QColor(255,255,255), QColor(96,96,96), QColor(160,160,164),
          QColor(0,0,0),QColor(255,255,255))));
	
	aboutText = new QLabel(this, "aboutText");
	aboutText->setAlignment(AlignHCenter | AlignVCenter);
	aboutText->setFrameStyle(QFrame::Raised | QFrame::Panel);
	aboutText->setFont(QFont("times",18));
	aboutText->setGeometry(19,144,623,177);
        aboutText->setPalette(QPalette(
          QColorGroup(QColor(0,0,0), QColor(2,0,0),
          QColor(255,255,255),QColor(96,96,96),QColor(160,160,160),
          QColor(250,255,255),QColor(255,255,255)),
          QColorGroup(QColor(128,128,128), QColor(192,192,192),
          QColor(255,255,255), QColor(96,96,96), QColor(160,160,164),
          QColor(128,128,128),QColor(192,192,192)),
          QColorGroup(QColor(0,0,0), QColor(192,192,192),
          QColor(255,255,255), QColor(96,96,96), QColor(160,160,164),
          QColor(0,0,0),QColor(255,255,255))));
	aboutText->setText("Q Toolkit Environment by Zachsman, Qt made EASY!\nAll rights reserved by Sam Magnuson, 1997.\n QtEZ and all related source code are freely redistributable.\n Use of this program is at the operator's risk.\nPlease send bug reports to Sam Magnuson by way of zachsman@wiw.org.\n(Sam is currently *VERY* available for programming work)");
	
	button1 = new QPushButton(this, "button1");
	button1->setText("&Close");
	button1->setFont(QFont("times",14));
	button1->setEnabled((bool)1);
	button1->setDefault((bool)0);
	button1->setAutoResize((bool)0);
	button1->setGeometry((width()/2)-50,328,100,30);
	QObject::connect(button1, SIGNAL(clicked()), this,SLOT(accept()));
	
}

