/*  $Id: ColorSelect.h,v 1.4 1998/07/27 16:34:55 zachsman Exp $
 *
 *   PART OF QtEZ BY SAM MAGNUSON (http://qtez.zax.net/qtez/):
 *   QtEZ is bound by the licensing agreement of Troll Tech AS
 *      free software edition
 */

#ifndef COLORSELECT_H
#define COLORSELECT_H
class ColorSelect;
#include "main.h"
#include <qpushbt.h>
#include <qlabel.h>
#include <qcolor.h>
#include <qlcdnum.h>
#include <qscrbar.h>

class
ColorSelect : public QDialog
{
	private:
	 Q_OBJECT
	 QPushButton *button1;
	 QPushButton *button2;
	 QLabel *label1;
	 QColor currCol;
	 QScrollBar *scroll1;
	 QLCDNumber *lcd2;
	 QLCDNumber *lcd1;
	 QLCDNumber *lcd3;
	 QLabel *label2;
	 QLabel *label3;
	 QScrollBar *scroll2;
	 QScrollBar *scroll3;
	 QLabel *label4;
	 QLabel *label5;
	 void setColour(QColor);
	 void initPreDef(QColor,int,int);
	public:
	 ColorSelect(QWidget *parent, char *name, QColor p);
	 QColor queryColor() { return currCol; }
	protected:
	 virtual bool eventFilter(QObject *,QEvent *);
	signals:
	public slots:
	 void makeColour(int x);
};
#endif
