/*  $Id: FancyButton.h,v 1.2 1998/07/27 16:34:55 zachsman Exp $
 *
 *   PART OF QtEZ BY SAM MAGNUSON (http://qtez.zax.net/qtez/):
 *   QtEZ is bound by the licensing agreement of Troll Tech AS
 *      free software edition
 */
     
#ifndef FANCYBUTTON_H
#define FANCYBUTTON_H

#include <qlabel.h>

class FancyButton : public QLabel
{
    Q_OBJECT;

public:
    FancyButton(QWidget * parent=0, const char * name=0);

protected:
    void enterEvent(QEvent *);
    void leaveEvent(QEvent *);
    void mousePressEvent(QMouseEvent *);
    void mouseReleaseEvent(QMouseEvent *);

private:
    bool mousePressed;

signals:
    void clicked();
};
#endif
