/*  $Id: FindDialog.cc,v 1.3 1998/07/27 16:34:55 zachsman Exp $
 *
 *   PART OF QtEZ BY SAM MAGNUSON (http://qtez.zax.net/qtez/):
 *   QtEZ is bound by the licensing agreement of Troll Tech AS
 *      free software edition
 */

#include "FindDialog.h"

FindDialog::FindDialog(QWidget *parent, char *name) 
	: QDialog(parent,name,TRUE,WStyle_Customize | WStyle_NormalBorder )
{
	setCaption("Find Text");
	resize(302,138);
	setBackgroundColor(QColor(192,192,192));
	
	label1 = new QLabel(this, "label1");
	label1->setText("Find:");
	label1->setAlignment(AlignLeft | AlignTop);
	label1->setFrameStyle(QFrame::Raised | QFrame::Box);
	label1->setGeometry(11,12,281,69);
	
	combo1 = new QComboBox((bool)1,this,"combo1");
	combo1->setGeometry(20,38,260,30);
	
	button2 = new QPushButton(this, "button2");
	button2->setText("Find!");
	button2->setDefault(TRUE);
	button2->setGeometry(14,94,100,30);
	
	button1 = new QPushButton(this, "button1");
	button1->setText("Close");
	button1->setGeometry(194,96,100,30);
	
	QObject::connect(button1,SIGNAL(clicked()),
		this,SLOT(cancel()));
	QObject::connect(button2,SIGNAL(clicked()),
		this,SLOT(doFind()));
	
}

void
FindDialog::cancel()
{
	hide();
}

void
FindDialog::doFind()
{
	emit findText((const char *)combo1->currentText());
}

