/*  $Id: MnuItem.h,v 1.4 1998/07/27 16:35:00 zachsman Exp $
 *
 *   PART OF QtEZ BY SAM MAGNUSON (http://qtez.zax.net/qtez/):
 *   QtEZ is bound by the licensing agreement of Troll Tech AS
 *      free software edition
 */

#ifndef MNUITEM_H
#define MNUITEM_H
#include "main.h"
#include <qlistbox.h>

class
MnuItem : public QListBoxItem
{
        int chkd, enab;
        int conObj, conSlot;
        QString *captio, *nam;
        int level;
        QString *shrtcut;
        static int wid;
    public:
        MnuItem(char *cap, char *na, int conO, int conS,
                char *scut, int chk, int ena, int lev);
	MnuItem(int);
	~MnuItem();

	void setItem(QString cap, QString na, int conO, int conS,
                QString scut, int chk, int ena, int lev);

	char *queryCapt() { return captio->data(); }
	char *queryName() { return nam->data(); }
	int queryConO() { return conObj; }
	int queryConS() { return conSlot;}
	int queryChk() { return chkd; }
	int queryEna() { return enab; }
	int queryLev() { return level; }
	QString queryShrtCut() { return *shrtcut; }

    protected:
        virtual void paint(QPainter *);
        virtual int height(const QListBox *) const;
        virtual int width(const QListBox *) const;
};

#endif
