/*  $Id: ToolBar.h,v 1.4 1998/07/27 16:35:03 zachsman Exp $
 *
 *   PART OF QtEZ BY SAM MAGNUSON (http://qtez.zax.net/qtez/):
 *   QtEZ is bound by the licensing agreement of Troll Tech AS
 *      free software edition
 */

#ifndef TOOLBAR_H
#define TOOLBAR_H

#include "main.h"
#include "components/BaseComp.h"
#include <qtimer.h>
#include <qlist.h>
#include <strings.h>

#ifdef __USE_KDE
	#include <kmenubar.h>
#else
	#include <qmenubar.h>
#endif


class
ToolBar : public QWidget
{
	Q_OBJECT
	int numPotent;
	QPushButton *push;
	#ifdef __USE_KDE
	        KMenuBar *theMenu;
	#else
	        QMenuBar *theMenu;
	#endif
        QPopupMenu *func;
        QList<QPushButton> dynList;
	BaseComponent *newbie, *buffer;
        QPushButton *currPressed;
	BaseComponent *currObj;

    public:
	ToolBar();
    	~ToolBar() { dynList.clear(); }

	BaseComponent *getTopLevel();	
	void buildLdTable();
	void setParent(int x) { currObj = BaseComponent::at(x); }
    	char *currentPressed(); 
        void resetPressed();

    public slots:
	void resetParent() { currObj = 0; }
    	void reload();
        void addComp(bool);
    	void changeObj(int);
};

#endif
