/*  $Id: CompIO.h,v 1.4 1998/07/27 16:35:05 zachsman Exp $
 *
 *   PART OF QtEZ BY SAM MAGNUSON (http://qtez.zax.net/qtez/):
 *   QtEZ is bound by the licensing agreement of Troll Tech AS
 *      free software edition
 */

#ifndef COMPIO_H
#define COMPIO_H

#include "../version.h"
#include "../main.h"
#include "BaseComp.h"

#include <qstring.h>
#include <qlist.h>

enum open_type { O_OPEN, O_IMPORT, O_PASTE };

/* How many lines is in the header in the serialization? */
#define HEADER_LENGTH 1

class
CompIO
{
private:
    static open_type open_kind;
    static ofstream outgoing;

    static int chkByte(ifstream &, char &, char,int=0);
    static int oldLoadVersion(ifstream &);
    static void saveComponent(int);
    static void convertSlots();

public:
    CompIO();
    static open_type openPurpose() { return open_kind; }
    static void save(QString, int=0,int=-1);
    static int load(QString,open_type);
    static void saveAttribute(AttributeItem *);
};


#endif
