/*  $Id: zApplication.cc,v 1.3 1998/07/27 16:35:06 zachsman Exp $
 *
 *   PART OF QtEZ BY SAM MAGNUSON (http://qtez.zax.net/qtez/):
 *   QtEZ is bound by the licensing agreement of Troll Tech AS
 *      free software edition
 */

#include "zApplication.h"

zApplication::zApplication(QWidget *parent) 
					: BaseComponent(parent,"app")
{
	hide();
        look = new QLabel("Application",this);
        look->setBackgroundColor(QColor("white"));
        look->setAlignment(AlignVCenter | AlignHCenter);
        setLook(look);
}

zApplication::~zApplication()
{
	//Delete your stuff, but don't delete look!
}

void 
zApplication::fillAttributes()
{
	genericFillAttrib();
}

void 
zApplication::interpretAttributes()
{
	genericInterpAttrib();
}

void
zApplication::writeInits()
{
	QString i;
        if(*uiStyle == "Motif")
               i.sprintf("setStyle(MotifStyle);\n");
        else if(*uiStyle == "Windows")
                i.sprintf("setStyle(WindowsStyle);\n");
        else
                i = "";
        if(!i.isEmpty()) writeInParent(i);
}

void
zApplication::fillMembInfo()
{
        //empty destructor
        addMember("destructor()","","",0,2,1);

        //very generic constructor
        addMember("constructor(QWidget *parent=0, char *name=0)",
                        "init(parent,name)","",0,2,1);

	addMember("void lastWindowClosed()","","",0,3,0);

	addMember("void quit()","","",0,4,0);
}
