/*  $Id: zCustom.h,v 1.4 1998/07/27 16:35:07 zachsman Exp $
 *
 *   PART OF QtEZ BY SAM MAGNUSON (http://qtez.zax.net/qtez/):
 *   QtEZ is bound by the licensing agreement of Troll Tech AS
 *      free software edition
 */

#ifndef ZCUSTOM_H
#define ZCUSTOM_H

#include "BaseComp.h"
#include "../main.h"

class
zCustom : public BaseComponent
{
   private:
	int instant;
	QString *tpe;
   public:
	zCustom(QWidget *parent);
	~zCustom();
	
	virtual char *specialInher() { return tpe->data(); }

	virtual int canResize() { return 1; }
        virtual int instantiate() { return instant; }
	virtual void fillAttributes();
        virtual void interpretAttributes();

	virtual void writeInits();

	virtual void fillMembInfo();
	virtual char *queryQType() { return "Custom"; }
    
    void setType(char *p) { *tpe = p; }
};

#endif
