/*  $Id: DebugItem.h,v 1.4 1998/07/27 16:34:55 zachsman Exp $
 *
 *   PART OF QtEZ BY SAM MAGNUSON (http://qtez.zax.net/qtez/):
 *   QtEZ is bound by the licensing agreement of Troll Tech AS
 *      free software edition
 */

#ifndef DEBUGITEM_H
#define DEBUGITEM_H

#include "main.h"
#include "components/BaseComp.h"
#include "components/LinkList.h"
#include <qlistbox.h>

class
DebugItem : public QListBoxItem
{
private:
    static int wid;
    BaseComponent *myBaseComp;
    LineF function;
    QString myCaption;
public:
    DebugItem(char *,char *,char *,int);
    BaseComponent *queryWho() { return myBaseComp; }
    int queryFunction() { return function.func(); }
    int queryLine() { return function.lineNo(); }
protected:
    virtual void paint(QPainter *);
    virtual int height(const QListBox *) const;
    virtual int width(const QListBox *) const;
};

#endif
