/*  $Id: FindDialog.h,v 1.3 1998/07/27 16:34:55 zachsman Exp $
 *
 *   PART OF QtEZ BY SAM MAGNUSON (http://qtez.zax.net/qtez/):
 *   QtEZ is bound by the licensing agreement of Troll Tech AS
 *      free software edition
 */

#ifndef QTEZ_OUTP
 #define QTEZ_OUTP "QTEZ v0.43d"
#endif

#ifndef FINDDIALOG_H
#define FINDDIALOG_H

/* Library Includes */
#include <qdialog.h>
#include <qwidget.h>
#include <qlabel.h>
#include <qcombo.h>
#include <qpushbt.h>

class
FindDialog : public QDialog
{
	private:
	 Q_OBJECT
	 QLabel *label1;
	 QComboBox *combo1;
	 QPushButton *button2;
	 QPushButton *button1;
	public:
	 FindDialog(QWidget *parent=0, char *name=0);
	protected:
	signals:
	 void findText(const char *x);
	public slots:
	 void cancel();
	 void doFind();
};
#endif
