/*  $Id: Hint.cc,v 1.3 1998/07/27 16:34:59 zachsman Exp $
 *
 *   PART OF QtEZ BY SAM MAGNUSON (http://qtez.zax.net/qtez/):
 *   QtEZ is bound by the licensing agreement of Troll Tech AS
 *      free software edition
 */

#include "Hint.h"

Hint::Hint(QString capt, QWidget *parent, char *name) :
		QPushButton(parent,name)
{
	resize(25,25);
	ca = capt.data();
	
	QToolTip::add(this,"Hints, hints, hints!");
	connect(this,SIGNAL(clicked()),this,SLOT(showHint()));
}

void 
Hint::drawButtonLabel(QPainter *p)
{
	p->setPen(QColor("black"));
	p->setFont(QFont("times",15,QFont::Bold,TRUE));
	p->drawText(8,18,"?");
}

void
Hint::showHint()
{
	QMessageBox p;
	p.setCaption("Hints, hints, hints!");
	p.setIcon(QMessageBox::Information);
	p.setText(ca.data());
	p.show();
}		
