/*  $Id: SigSlo.h,v 1.3 1998/07/27 16:35:02 zachsman Exp $
 *
 *   PART OF QtEZ BY SAM MAGNUSON (http://qtez.zax.net/qtez/):
 *   QtEZ is bound by the licensing agreement of Troll Tech AS
 *      free software edition
 */

#ifndef SIGSLO_H
#define SIGSLO_H

#include "main.h"


class
SigSlo : public QListBoxItem
{
	QString *slot;
	int *on;
    public:
	SigSlo(QString slo, int o)
	{
		slot = new QString(slo);
		on = new int(o);
	} 
	int isOn() { return *on; }
	void setOn() 
	{
		if(*on)
			*on = 0;
		else
			*on = 1;
	}
	QString slo() { return *slot; }
     protected:
	virtual void paint(QPainter *p)
	{
		p->setFont(QFont("Times",18));
	        QFontMetrics fm = p->fontMetrics();
        	int y = fm.ascent() + fm.leading() / 2;
	
		if(*on)
			p->drawText(0,y,"Connected");

		p->drawText(150,y,(char *)slot->data());

		p->drawLine(95,0,95,22);
	}
	virtual int height(const QListBox *) const
	{
		return 23;
	}
	virtual int width(const QListBox *lb) const
	{
		return lb->width() - 25;
	}
};
#endif
