/*  $Id: YesNo.h,v 1.3 1998/07/27 16:35:03 zachsman Exp $
 *
 *   PART OF QtEZ BY SAM MAGNUSON (http://qtez.zax.net/qtez/):
 *   QtEZ is bound by the licensing agreement of Troll Tech AS
 *      free software edition
 */

#ifndef YESNO_H
#define YESNO_H

#include <qdialog.h>
#include <qlabel.h>
#include <qpushbt.h>

class
YesNo : public QDialog
{
	QLabel *txtlbl;
	QPushButton *yes, *no;
    public:
	YesNo(QWidget *parent, char *name, int w = 300, int h = 100) : 
		QDialog(parent,name,TRUE)
	{
		setCaption("Eh?");
		resize(w,h);

		txtlbl = new QLabel(this,"txtlbl");
		txtlbl->setGeometry(10,10,280,50);
		txtlbl->setFont(QFont("times",18));
		
		yes = new QPushButton("&Yes",this,"yes");
		yes->setFont(QFont("times",14));
		yes->setGeometry(10,65,50,25);
		yes->setDefault(TRUE);
		QObject::connect(yes,SIGNAL(clicked()),this,SLOT(accept()));

		no = new QPushButton("&No",this,"no");
		no->setFont(QFont("times",14));
		no->setGeometry(230,65,50,25);
		QObject::connect(no,SIGNAL(clicked()),this,SLOT(reject()));	
	}

	int
	doit(char *p)
	{
		txtlbl->setText(p);
		return exec();
	}
    protected:
	virtual void resizeEvent(QResizeEvent *)
	{
		txtlbl->setGeometry(10,10,width()-20,height()-50);
		yes->move(10,height()-35);
		no->move(width()-70,height()-35);
	}
};
#endif

