/*  $Id: zBlank.cc,v 1.3 1998/07/27 16:35:10 zachsman Exp $
 *
 *   PART OF QtEZ BY SAM MAGNUSON (http://qtez.zax.net/qtez/):
 *   QtEZ is bound by the licensing agreement of Troll Tech AS
 *      free software edition
 */

#include "zBlank.h"

zBlank::zBlank(QWidget *parent) 
					: BaseComponent(parent,"Blank")
{
	look = new QBlank(this,"foo");
	setLook(look);
}

zBlank::~zBlank()
{
	//Delete your stuff, but don't delete look!
}

void 
zBlank::fillAttributes()
{
}

void 
zBlank::interpretAttributes()
{
	QString i;
}

void
zBlank::writeInits()
{
	QString i;
}

void
zBlank::fillMembInfo()
{
        //fills generic virtual protected stuffs
        genericFillMembInfo();

        //empty destructor
        addMember("destructor()","","",0,2,1);

        //very generic constructor
        addMember("constructor(QWidget *parent=0, char *name=0)",
                        "init(parent,name)","",0,2,1);

}

/******************************************************************************
 Uncomment if you intend to link this in dynamically, otherwise not necesary
******************************************************************************/
/*
extern "C"
{
        zBlank *yourself(QWidget *parent)
        {
                return (new zBlank(parent));
        }
}
*/

