/*  $Id: zComboBox.h,v 1.3 1998/07/27 16:35:07 zachsman Exp $
 *
 *   PART OF QtEZ BY SAM MAGNUSON (http://qtez.zax.net/qtez/):
 *   QtEZ is bound by the licensing agreement of Troll Tech AS
 *      free software edition
 */

#ifndef ZCOMBOBOX_H
#define ZCOMBOBOX_H

#include "BaseComp.h"
#include "../main.h"

class
zComboBox : public BaseComponent
{
   private:
	QComboBox *look;
	int rw;
	QString temp;
   public:
	zComboBox(QWidget *parent);
	~zComboBox();
	
	virtual void fillAttributes();
        virtual void interpretAttributes();
	
	virtual void writeInits();

	virtual void fillMembInfo();
	virtual char *queryQType() { return "QComboBox"; }

/******************************************************************************
                SPECIAL PURPOSE QUERIES, RARELY NECESARY
******************************************************************************/
        //Should be instantiated?
        virtual int instantiate() { return 1; }

        //Constructor overload (for instantiating in parent)
        //Returning 0 is the same as returning "(this,name")"
        virtual char *specialInit()
        {temp.sprintf("((bool)%d,%s,\"%s\")",rw,parentWidget() ? "this" : "0", 
		      name());
	return temp.data();}

};

#endif
