/*  $Id: zCustom.cc,v 1.3 1998/07/27 16:35:07 zachsman Exp $
 *
 *   PART OF QtEZ BY SAM MAGNUSON (http://qtez.zax.net/qtez/):
 *   QtEZ is bound by the licensing agreement of Troll Tech AS
 *      free software edition
 */

#include "zCustom.h"
#include "pix/zCustom.h"

zCustom::zCustom(QWidget *parent) 
					: BaseComponent(parent,"custom")
{
	tpe = new QString("QObject"); instant = 0;

        resize(63,55);
        QPixmap p;
        p.loadFromData((const unsigned char *)
		&zCustom_bmp_data,zCustom_bmp_len);
        setLook(p);
}

zCustom::~zCustom()
{
	delete tpe;
}

void 
zCustom::fillAttributes()
{
	genericFillAttrib();

	ADDATTRIB("Inherits",tpe->data(),W_TEXT);

	ADDATTRIB("Instantiate",instant, W_TRUE);

}

void 
zCustom::interpretAttributes()
{
	QString i;

	genericInterpAttrib();

	*tpe = attrib->giveValue("Inherits").data();

	instant = attrib->giveBoolValue("Instantiate");
}


void
zCustom::writeInits()
{
	QString i;
}

void
zCustom::fillMembInfo()
{
        //empty destructor
        addMember("destructor()","","",0,2,1);

        //very generic constructor
        addMember("constructor()",
                        "","",0,2,1);
}
