/*  $Id: zMenuBar.h,v 1.3 1998/07/27 16:35:08 zachsman Exp $
 *
 *   PART OF QtEZ BY SAM MAGNUSON (http://qtez.zax.net/qtez/):
 *   QtEZ is bound by the licensing agreement of Troll Tech AS
 *      free software edition
 */

#ifndef ZBLANK_H
#define ZBLANK_H

#include "BaseComp.h"
#include "../main.h"

class
zMenuBar : public BaseComponent
{
   private:
	QMenuBar *look;
   public:
	zMenuBar(QWidget *parent);
	~zMenuBar();
	
	virtual void fillAttributes();
        virtual void interpretAttributes();

	virtual void writeInits() { }
	void writeMenus();
	void allInits(char *);

	virtual int canResize() { return 0; }
	virtual int copyAble() { return 0; }
	virtual void fillMembInfo();
	virtual char *queryQType() 
        { 
            return "MenuBar";
	}
	virtual char *specialInher()
        {
	    if(BaseComponent::queryApp() == "Generic")
		return "QMenuBar"; 
	    else if(BaseComponent::queryApp() == "KDE")
		return "KMenuBar";
	}
	
	QMenuBar *queryBar() { return look; }
};

#endif
