/*  $Id: zSlider.h,v 1.3 1998/07/27 16:35:10 zachsman Exp $
 *
 *   PART OF QtEZ BY SAM MAGNUSON (http://qtez.zax.net/qtez/):
 *   QtEZ is bound by the licensing agreement of Troll Tech AS
 *      free software edition
 */

#ifndef ZSLIDER_H
#define ZSLIDER_H

#include "BaseComp.h"
#include "../main.h"
#include <qslider.h>

class
zSlider : public BaseComponent
{
   private:
	QString *orient, *tickM;
	QSlider *look;
   public:
	zSlider(QWidget *parent);
	~zSlider();
	
	virtual void fillAttributes();
        virtual void interpretAttributes();
	
	virtual void writeInits();

	virtual void fillMembInfo();
	virtual char *queryQType() { return "QSlider"; }
};

#endif
