/*  $Id: main.h,v 1.13 1998/07/27 16:35:04 zachsman Exp $
 *
 *   PART OF QtEZ BY SAM MAGNUSON (http://qtez.zax.net/qtez/):
 *   QtEZ is bound by the licensing agreement of Troll Tech AS
 *      free software edition
 */

#ifndef QTEZ_MAIN_HEADER
#define QTEZ_MAIN_HEADER

#define FIELD_SEP ''
#define AREA_SEP1 ''
#define AREA_SEP2 ''
#define ADDTOOLTIP if(configs->queryToolTips()) QToolTip::add
#include <iostream.h>

#ifndef CONFIGURATION_H
        #include "configs.h"
        extern Configuration *configs;
#endif
#if defined(COME_FROM_CONFIG) || defined(MENUBAR_H) || defined(MAIN_FUNC) || defined(BASECOMP_H) || defined(COMPIO_H)
        #include "ProjectViewer.h"
        extern ProjectViewer *projView;
#endif

#if defined(COME_FROM_CONFIG) || defined(MENUBAR_H) || defined(PROJECTVIEWER_H) || defined(MAIN_FUNC) || defined(BASECOMP_H) || defined(COMPIO_H)
	#include "Globals.h"
	extern Globals *global;

	#include "Attributes.h"
	extern Attributes *attrib;
	
	#include "SourceEdit.h"
	extern SourceEdit *source;

	#include "MnuEditor.h"
	extern MnuEditor *menu;

	#include "SigSlotEdit.h"
	extern SigSlotEdit *sigSlot;

	#include "ToolBar.h"
	extern ToolBar *toolBar;
#endif

#endif
