/*  $Id: myListBox.cc,v 1.4 1998/07/27 16:35:04 zachsman Exp $
 *
 *   PART OF QtEZ BY SAM MAGNUSON (http://qtez.zax.net/qtez/):
 *   QtEZ is bound by the licensing agreement of Troll Tech AS
 *      free software edition
 */

#include "main.h"
#include "myListBox.h"

myListBox::myListBox(QWidget *parent, char *name,int u) : 
	QListBox(parent,name)
{
	useSig = u; 
}

QListBoxItem 
*myListBox::zItem(int x)
{
	if(x >= 0 && x < count())
		return item(x);
      	else if(count() >= 0)
		return item(0);
}
	
void
myListBox::mouseDoubleClickEvent(QMouseEvent *e)
{
        if(useSig) emit dblClicked(currentItem());
}

void
myListBox::mousePressEvent(QMouseEvent *e)
{
	if(e->button() == LeftButton && useSig) 
	{	
		emit clicked(mapToGlobal(e->pos()));
		emit clicked(currentItem());
	}
}

